{lib, config, pkgs, ...}:

let
  unstable = import <nixos-unstable> {};
in
{
  config = {
    services.xserver.enable = true;
    services.xserver.desktopManager.gnome.enable = true;
    services.xserver.displayManager.gdm = {
      enable = true;
      wayland = false;
      autoSuspend = false;
    };

    # environment.sessionVariables.NIXOS_OZONE_WL = "1";

    services.xserver.desktopManager.gnome.extraGSettingsOverrides = ''
      [org.gnome.SessionManager]
      logout-prompt=false
    '';

    environment.systemPackages = with pkgs; [
      gnomeExtensions.pop-shell
      gnomeExtensions.vitals
      gnomeExtensions.tray-icons-reloaded
      gnomeExtensions.color-picker
      gnomeExtensions.top-bar-organizer
      # unstable.gnomeExtensions.translate-indicator
      # translate-shell
      pavucontrol
    ];
  };
}
